<?php namespace App\Http\Requests;

use App\Http\Requests\Request;
use Auth;

class ProductUpdateRequest extends Request {

	/**
	 * Determine if the user is authorized to make this request.
	 *
	 * @return bool
	 */
	public function authorize()
	{
		if (Auth::user()->products->find($this->product->id) != null){
			return true;
		}else{
			return false;
		}
	}

	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array
	 */
	public function rules()
	{
		return [
			'info' => '',
			'price' => 'numeric',
			'amount' => 'numeric'
		];
	}

}
